Subject: [Cfrg] HKDF paper

From: Hugo Krawczyk <[email-masked]>
Date: Tue, 11 May 2010 12:32:27 -0400

In anticipation of the publication of HKDF as an RFC (which will happen very
shortly) and of the publication of the HKDF paper in Crypto'2010 I finally
updated the paper and posted it to the IACR eprint repository:

The new title for the paper is "Cryptographic Extraction and Key Derivation:
The HKDF Scheme", and its URL is http://eprint.iacr.org/2010/264

The paper is heavier on the technical side than a previous version (that I
still keep under http://webee.technion.ac.il/~hugo/kdf/ for those less
technically inclined).
In particular, it answers requests for quantitative statements of security
(answering, among others, good questions by David McGrew).

There is an attempt in the paper to reflect many of the many-many
discussions on this list regarding KDF security. I am sure that there will
be more questions but the paper is too long already...

Hopefully the combination of the RFC and the extensive rationale in the
paper will encourage people to use this KDF.

Hugo

---

From: David McGrew <[email-masked]>
Date: Tue, 11 May 2010 09:39:33 -0700

Thanks Hugo!   I look forward to reading it.

On May 11, 2010, at 9:32 AM, Hugo Krawczyk wrote:

> In anticipation of the publication of HKDF as an RFC (which will  
> happen very shortly) and of the publication of the HKDF paper in  
> Crypto'2010 I finally updated the paper and posted it to the IACR  
> eprint repository:
>
> The new title for the paper is "Cryptographic Extraction and Key  
> Derivation: The HKDF Scheme", and its URL is http://eprint.iacr.org/2010/264
>
> The paper is heavier on the technical side than a previous version  
> (that I still keep under http://webee.technion.ac.il/~hugo/kdf/ for  
> those less technically inclined).
> In particular, it answers requests for quantitative statements of  
> security (answering, among others, good questions by David McGrew).
>
> discussions on this list regarding KDF security. I am sure that  
> there will be more questions but the paper is too long already...
>
> Hopefully the combination of the RFC and the extensive rationale in  
> the paper will encourage people to use this KDF.
>
> Hugo
> _______________________________________________
> Cfrg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/cfrg